Drug Form Strength
curl --request GET \
--url https://api.discountdrugnetwork.com/api/Drug/DrugFormStrength \
--header 'x-ddn-client-key: <api-key>'import requests
url = "https://api.discountdrugnetwork.com/api/Drug/DrugFormStrength"
headers = {"x-ddn-client-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-ddn-client-key': '<api-key>'}};
fetch('https://api.discountdrugnetwork.com/api/Drug/DrugFormStrength', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"drugName": "<string>",
"brandGeneric": "<string>",
"Forms": [
{
"Form": "<string>",
"GSN": "<string>",
"Ranking": 123,
"isDiscontinued": true,
"LN": "<string>",
"commonQty": 123,
"discontinuedDate": "2023-11-07T05:31:56Z",
"IsSelected": true
}
],
"Strengths": [
{
"Strength": "<string>",
"GSN": "<string>",
"Ranking": 123,
"LN": "<string>",
"CommonQty": 123,
"IsSelected": true
}
],
"Quantities": [
{
"Quantity": 123,
"QuantityLabel": "<string>",
"GSN": "<string>",
"Ranking": 123,
"IsSelected": true
}
]
}Search
Drug Form Strength
The DrugFormStrength method provides information on LocatedDrugNames, LocatedDrugForms, LocatedDrugStrengths, and LocatedDrugQuantities for a specific drug identified by GSN (FormStrengthQuantity combination identifier).
GET
/
api
/
Drug
/
DrugFormStrength
Drug Form Strength
Endpoint
GET https://api.discountdrugnetwork.com/api/Drug/DrugFormStrength?GSN=NUMBER
Input Parameters
string
required
GCN Sequence Number (Required).
string
required
Group Identifier (Required).Example:
12345Returned Parameters and Values
string
required
Drug name.
string
required
“B” for Brand, “G” for Generic, “A” for Brand or Generic.
array[]
Array of LocatedDrugForm matching the GSN from the request.
array[]
Array of LocatedDrugStrength matching the GSN from the request.
array
Array of LocatedDrugQuantity matching the GSN from the request.
LocatedDrugForm
string
Drug form (e.g., “Tablet”).
string
GCN Sequence Number.
int
Ranking of the most commonly used drug form.
boolean
Indicates if the drug form is discontinued.
string
Drug label name.
double
Most common quantity dispensed.
DateTime
Date when the drug form was discontinued.
boolean
Indicates if this value is the current filter for returned datasets.
LocatedDrugName
string
Drug name.
string
“B” for Brand, “G” for Generic, “A” for Brand or Generic.
boolean
Indicates if this value is the current filter for returned datasets.
LocatedDrugQuantity
double
Drug quantity.
string
Label for quantity (e.g., mL, units, grams).
string
GCN Sequence Number.
int
Ranking of the most commonly used quantity.
boolean
Indicates if this value is the current filter for returned datasets.
LocatedDrugStrength
string
Drug strength.
string
GCN Sequence Number.
int
Ranking of the most commonly used strength.
string
Drug label name.
double
Most common quantity dispensed.
boolean
Indicates if this value is the current filter for returned datasets.
Note: The GSN (GCN Sequence Number) groups together drugs based on ingredients, strength, and dosage form.
Authorizations
Query Parameters
GCN Sequence Number (Required).
Group Identifier (Required). Example: 12345
